﻿@page "/Login"
@inherits WanderingRetinue.Client.Shared.Components.LoginBase

<MudContainer Class="login">
    <MudCard Class="login-form">
        <MudCardHeader>
            <CardHeaderContent>
                <MudText Typo="Typo.h4">Wandering Retinue</MudText>
            </CardHeaderContent>
        </MudCardHeader>
        @if (LoginFailure)
        {
            <MudCardContent>
                Your credentials did not work. Please try again.
            </MudCardContent>
        }
        <MudCardContent>
            <MudForm @ref="LoginForm" >
                <DataAnnotationsValidator />
                <MudTextField T="string" Label="User Name" Required="true" RequiredError="User Name is required!" @bind-Value="UserLogin.UserName" For="@(()=> UserLogin.UserName)"/>
                <MudTextField T="string" Label="Password" Required="true" RequiredError="Password is required!" InputType="InputType.Password" @bind-Value="UserLogin.Password" For="@(() => UserLogin.Password)" />
                
            </MudForm>
        </MudCardContent>
        <MudCardActions>
            <MudButton Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => SubmitCredentials())">Submit</MudButton>
        </MudCardActions>
    </MudCard>
</MudContainer>